> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Available Shipping Methods

> Retrieves available shipping methods for quotes. Typically used to display available shipping method options on the quote page.



## OpenAPI

````yaml /openapi/openapi_commerce.json get /commerce/quotes/{quoteId}/shippingMethods
openapi: 3.0.1
info:
  description: |-
    <div id="overview_COMMERCE">
                <h2>COMMERCE</h2>
                <p>The Commerce API interacts with the commerce entities of your tenant, including shoppers's active shopping
                    carts, checkouts, submitted orders, wishlists, and returns as well as B2B quotes.</p>
                <p>Use the <strong>Carts</strong> resource to manage storefront shopping carts as shoppers add and remove items for purchase.
                    Each time a shopper's cart is modified, the Carts resource updates the estimated total with any
                    applicable
                    discounts.</p>
                <p>Use the <strong>Channels</strong> and <strong>Channel Groups</strong> resources to manage the channels a company uses to create logical
                    commercial business divisions based on region or types of sales, such as "US Online," "Amazon," or "EMEA
                    Retail."
                    All orders include a channel association that enables the company to perform financial reporting for
                    each defined channel.
                    Because channels are managed at the tenant level, you must associate all the tenant's sites with a
                    channel. Sites that do not
                    have a defined channel association cannot successfully submit orders.</p>
                <p>Use the <strong>Checkouts</strong> resource to track a shopper's order items and their intended destinations on sites that
                    have the multiple shipment feature enabled.</p>
                <p>Use the <strong>Orders</strong> resource to manage all components of order processing, payment, and order-level
                    fulfillment.</p>
                <p>Use the <strong>Quotes</strong> resource to support B2B functionality by managing order quotes, similar to wishlists.</p>
                <p>Use the <strong>Returns</strong> resource to manage returned items that were previously fufilled. Returns can include any
                    number of items associated with an original
                    order. Each return must either be associated with an original order or a product definition to represent
                    each returned item.</p>
                <p>Use the <strong>Wish Lists</strong> resource to manage the shopper wish lists of products associated with a customer
                    account. Although customer accounts are managed at the tenant
                    level, the system stores shopper wish lists at the site level. This enables the same customer to have
                    wish lists for each of a merchant's sites. The <strong>Wish List Items</strong>
                    resource allows you to manage the individual items in a wish list.</p>
            </div>
  title: Cart/Checkout/Quote
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/quotes/{quoteId}/shippingMethods:
    get:
      tags:
        - Quote
      summary: Get Available Shipping Methods
      description: >-
        Retrieves available shipping methods for quotes. Typically used to
        display available shipping method options on the quote page.
      parameters:
        - description: >-
            Unique identifier of the quote whose shipping methods you want to
            get.
          in: path
          name: quoteId
          required: true
          schema:
            type: string
        - description: ''
          in: query
          name: draft
          schema:
            type: boolean
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CommerceRuntimeShippingRate'
                type: array
            text/json:
              schema:
                items:
                  $ref: '#/components/schemas/CommerceRuntimeShippingRate'
                type: array
            text/plain:
              schema:
                items:
                  $ref: '#/components/schemas/CommerceRuntimeShippingRate'
                type: array
          description: Success
components:
  schemas:
    CommerceRuntimeShippingRate:
      allOf:
        - $ref: '#/components/schemas/ShippingPrice'
      description: "How much the customer and merchant pay for shipping based on the current shipping rate. \r\nThe cost can differ between the merchant and customer depending on any merchant discounts or \r\nextra fees."
      properties:
        data:
          description: Custom data returned by the shipping service.
          nullable: true
          type: object
        fulfillmentMethod:
          description: Fulfillment method of the shipping rate. eg) Ship or Delivery
          nullable: true
          type: string
        isValid:
          description: If true, the shipping rate is valid.
          nullable: true
          type: boolean
        messages:
          description: Messages and detail about why the shipping rate may be invalid.
          items:
            type: string
          nullable: true
          type: array
        shippingItemRates:
          items:
            $ref: '#/components/schemas/CommerceRuntimeShippingItemRate'
          nullable: true
          type: array
        shippingMethodCode:
          description: Code that uniquely identifies the selected shipping method.
          nullable: true
          type: string
        shippingMethodName:
          description: Shipping Method Name
          nullable: true
          type: string
        shippingZoneCode:
          description: The shipping zone to which this rate applies.
          nullable: true
          type: string
      type: object
    ShippingPrice:
      description: >-
        Shipping pricing information which includes the cost to the merchant and
        the price that the customer pays.
      properties:
        currencyCode:
          description: >-
            ISO currency code such as US dollars. Currently, only USD is
            supported.
          nullable: true
          type: string
        price:
          description: >-
            How much the customer pays for shipping which includes any shipping
            discounts that the merchant offers.
          format: double
          nullable: true
          type: number
      type: object
    CommerceRuntimeShippingItemRate:
      properties:
        amount:
          format: double
          nullable: true
          type: number
        itemId:
          nullable: true
          type: string
        quantity:
          format: int32
          nullable: true
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````